予約
POST
/webhook-reservations
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-reservations';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"smaregi","event":"waiter:reservations","action":"updated","storeId":"1","reservationIds":["1","2"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-reservations \ --header 'Content-Type: application/json' \ --data '{ "contractId": "smaregi", "event": "waiter:reservations", "action": "updated", "storeId": "1", "reservationIds": [ "1", "2" ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 waiter:reservations
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
created: 登録updated: 更新deleted: 削除
string
storeId
店舗ID
string
reservationIds
予約IDリスト
array
Examples
Exampleリクエスト例
{ "contractId": "smaregi", "event": "waiter:reservations", "action": "updated", "storeId": "1", "reservationIds": [ "1", "2" ]}Responses
Section titled “Responses”OK